using Microsoft.Xna.Framework;

namespace MonoGame.FourEngine
{
    public class Component
    {
        public Point Position { get; set; }
        public int Layer { get; set; }

        public virtual void OnUpdate(UpdateEventArgs args) { }
        public virtual void OnDraw(DrawEventArgs args) { }
    }
}